<template>
  <div class="map-container">
    <canvas class="world" ref="worldContainer"></canvas>
  </div>
</template>

<script>
import Experience from './experience/index';
let world = null;
export default {
  name: 'ScreenMapThree',
  props: {
    loadEnd: {
      type: Boolean,
      default: false
    },
  },
  watch: {
    loadEnd: {
      handler(newVal) {
        if (newVal) {
          world = new Experience(this.$refs.worldContainer);
        }
      }
    }
  },
  mounted() {

  },
  beforeDestroy() {
    world.destroy();
    world = null;
  },
}
</script>

<style lang="scss" scoped>
.map-container {
  width: 100%;
  height:100%;
  // position: absolute;
  // left: 25%;
  // top: 65px;
  z-index: 0;
  // background: url("../../../../assets/images/screen/cardBg.png");
  // background-size: cover !important;
  // background-repeat: no-repeat !important;
  // background-position: center center !important;
  .world {
    width: 100%;
    height: 100%;
  }
}
</style>